# Every contribution makes a difference

Think of open-source development as free training with a visible outcome.
Exploring new technologies is easier than in commercial environments,
where development effort is more focused on immediate results.

We welcome contributions of any kind including pull requests, ideas, bug reports,
testing, writing documentation, tutorials and blog posts. If you help with development,
you have the opportunity to learn Docker, Go, TensorFlow and much more.

## Questions? ##

Follow us on [Twitter][twitter] and join our [developers mailing list](https://groups.google.com/a/photoprism.org/forum/#!forum/developers)
to receive regular project updates, get in contact with other contributors and discuss your ideas. Don't be afraid to ask stupid questions.

Of all the tools we tested, Twitter works best to get and give continuous feedback. Especially polls are amazing for product development.

## Pull requests ##

Issues labeled [help wanted](https://github.com/photoprism/photoprism/labels/help%20wanted) /
[easy](https://github.com/photoprism/photoprism/labels/easy) can be good (first) contributions.
Our [Developer Guide](https://docs.photoprism.org/en/latest/developer-guide/) contains all information necessary to get you started.

Our [step-by-step guide](https://github.com/photoprism/photoprism/wiki/Pull-Requests) explains how to submit new features, bugfixes and documentation.

## Feature requests ##

You are welcome to add specific feature requests directly to our [GitHub issue tracker](https://github.com/photoprism/photoprism/issues)
if no similar [idea](https://github.com/photoprism/photoprism/labels/idea)
or [todo](https://github.com/photoprism/photoprism/labels/todo) already exists.
Please don't use the issue tracker to ask general questions.

We also maintain a couple of pages in our [Wiki](https://github.com/photoprism/photoprism/wiki)
for collecting interesting ideas and feedback, e.g.
[Related](https://github.com/photoprism/photoprism/wiki/Related),
[Love](https://github.com/photoprism/photoprism/wiki/Love),
[Concerns](https://github.com/photoprism/photoprism/wiki/Concerns) and
[Research](https://github.com/photoprism/photoprism/wiki/Research).

## Reporting bugs ##

Please use the [GitHub issue tracker](https://github.com/photoprism/photoprism/issues) to report clearly identified bugs and impediments to us.
If you're not sure, start by asking in our [help forum](https://groups.google.com/a/photoprism.org/forum/#!forum/help) or [contact us via email](mailto:help@photoprism.org).
When reporting an issue, please provide the version in use and information about your environment like browser, operating system, installed memory, and processor type.

[twitter]: https://twitter.com/browseyourlife
